# RSI Play TV

<img src="https://raw.githubusercontent.com/goggle/plugin.video.rsiplaytv/master/resources/icon.png" width="256">

**RSI Play TV** (plugin.video.rsiplaytv) is a Kodi plugin to access the Italian part of the the video library of the Swiss Radio and Television (RSI).

## Goals of the plugin
Bring the full power of the [RSI Play TV media library](https://www.rsi.ch/play/tv) on your TV (or another device) via [Kodi](https://kodi.tv/). The plugin aims to be close to the original media library, so that the experience of consuming media through the browser or through Kodi should be similar.

## Features
 - [x] Overview over all the shows.
 - [x] Manage a list of your favourite RSI shows and get a list of your recently aired favourite shows.
 - [x] List and play segments for shows (if available), so you don't have to watch the whole episode if you are only interested in a specific section.
 - [x] Search videos and shows.
 - [x] Various lists: Newest and most clicked shows by topic (e.g. News, Documentaries, etc.), shows by date.
 - [x] Choose between SD and HD quality.
 - [x] Subtitle support.
 - [ ] Livestreams that are exclusively broadcasted on RSI.ch (only available in Switzerland).
 - [ ] Live TV support: RSI 1, RSI 2 and RSI info (only available in Switzerland).

## Installation
 - The plugin is available in the official "Kodi Add-on repository". This is the recommended way to get the plugin.
 - Furthermore, you can download the newest release as a zip file from the [release section](https://github.com/goggle/plugin.video.rsiplaytv/releases) on github and manually install the plugin from the zip file. Keep in mind that you won't get any automatic updates if you choose this method.

## Support this plugin
How you can help improving this plugin:
 - For bugs and feature requests use the [issue tracker](https://github.com/goggle/plugin.video.rsiplaytv/issues) on the github page.
 - Feel free to submit a pull request. Please style your code according to [PEP 8](https://www.python.org/dev/peps/pep-0008/).

If you like this plugin, consider to make a donation to the author:

| Method | Link / Address | QR code |
| --- | --- | --- |
| Paypal | [Donation link](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=ZXAFRHTZGRARS) | ![Paypal link](https://raw.githubusercontent.com/goggle/plugin.video.srfplaytv/e62b52bb394eeee98c929895005bbc33e6028770/paypal.png) |
| Bitcoin | 14d2as82kQ3mRoCSyrnHNoDi8PkFvxMMgP | ![Bitcoin address](https://raw.githubusercontent.com/goggle/plugin.video.srfplaytv/af1c696004d9b42c730dc55f7e66596ec3521b99/bitcoin.png) |


## Screenshots
![Category overview](https://raw.githubusercontent.com/goggle/plugin.video.rsiplaytv/master/resources/screenshot-01.png)
![A list menu](https://raw.githubusercontent.com/goggle/plugin.video.rsiplaytv/master/resources/screenshot-02.png)
![Episode information](https://raw.githubusercontent.com/goggle/plugin.video.rsiplaytv/master/resources/screenshot-03.png)

## Thanks
 * Thanks @nmielec for providing a french translation.